@use "sass:map";
// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/

$dark-primary-text: rgba(#26324b, 1);
$dark-secondary-text: rgba(#546fa6, 1);
$dark-disabled-text: rgba(#26324b, 0.38);
$dark-dividers: rgba(#26324b, 0.12);
$dark-focused: rgba(#26324b, 0.12);
$light-primary-text: #ffffff;
$light-secondary-text: rgba(white, 0.7);
$light-disabled-text: rgba(white, 0.5);
$light-dividers: rgba(white, 0.12);
$light-focused: rgba(white, 0.12);
$background: #f2f4f8;
$ec-background: #fcfcfc;

// In the following palettes the default hex code picked up by Material is the one correspoding at
// the key 500, i.e.:
//
// primary (500: #3860ed),
// accent (500: #bbb3ff),
// warn (500: #da1e28),
//
// text color: #26324b;
//
// These base colors were taken from https://ec.europa.eu/component-library/ec/guidelines/colours/

$EC-primary-palette: (
  50: #e7ecfd,
  100: #c3cffa,
  200: #9cb0f6,
  300: #7490f2,
  400: #5678f0,
  500: #3860ed,
  600: #3258eb,
  700: #2b4ee8,
  800: #2444e5,
  900: #1733e0,
  A100: #ffffff,
  A200: #dfe2ff,
  A400: #acb5ff,
  A700: #929fff,
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $light-primary-text,
    400: $light-primary-text,
    500: $light-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
    A100: $dark-primary-text,
    A200: $light-primary-text,
    A400: $light-primary-text,
    A700: $light-primary-text,
  ),
);

$EC-accent-palette: (
  50: #f7f6ff,
  100: #ebe8ff,
  200: #ddd9ff,
  300: #cfcaff,
  400: #c5beff,
  500: #bbb3ff,
  600: #b5acff,
  700: #aca3ff,
  800: #a49aff,
  900: #968bff,
  A100: #ffffff,
  A200: #ffffff,
  A400: #ffffff,
  A700: #ffffff,
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $dark-primary-text,
    400: $dark-primary-text,
    500: $dark-primary-text,
    600: $dark-primary-text,
    700: $dark-primary-text,
    800: $dark-primary-text,
    900: $dark-primary-text,
    A100: $dark-primary-text,
    A200: $dark-primary-text,
    A400: $dark-primary-text,
    A700: $dark-primary-text,
  ),
);

$EC-error-palette: (
  50: #fbe4e5,
  100: #f4bcbf,
  200: #ed8f94,
  300: #e56269,
  400: #e04048,
  500: #da1e28,
  600: #d61a24,
  700: #d0161e,
  800: #cb1218,
  900: #c20a0f,
  A100: #ffeded,
  A200: #ffbabb,
  A400: #ff8789,
  A700: #ff6e70,
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $dark-primary-text,
    400: $dark-primary-text,
    500: $light-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
    A100: $dark-primary-text,
    A200: $light-primary-text,
    A400: $light-primary-text,
    A700: $light-primary-text,
  ),
);

// $EC-secondary-palette: (
//   50: #fff5e7,
//   100: #ffe6c2,
//   200: #ffd699,
//   300: #ffc670,
//   400: #ffb952,
//   500: #ffad33,
//   600: #ffa62e,
//   700: #ff9c27,
//   800: #ff9320,
//   900: #ff8314,
//   A100: #ffffff,
//   A200: #fffdfb,
//   A400: #ffe0c8,
//   A700: #ffd1ae,
//   contrast: (
//     50: $dark-primary-text,
//     100: $dark-primary-text,
//     200: $dark-primary-text,
//     300: $dark-primary-text,
//     400: $dark-primary-text,
//     500: $dark-primary-text,
//     600: $dark-primary-text,
//     700: $dark-primary-text,
//     800: $dark-primary-text,
//     900: $dark-primary-text,
//     A100: $dark-primary-text,
//     A200: $dark-primary-text,
//     A400: $dark-primary-text,
//     A700: $dark-primary-text,
//   ),
// );

$EC-success-palette: (
  50: #e5f4e9,
  100: #bde3c8,
  200: #92d0a4,
  300: #66bd7f,
  400: #45af63,
  500: #24a148,
  600: #209941,
  700: #1b8f38,
  800: #168530,
  900: #0d7421,
  A100: #a7ffb4,
  A200: #74ff89,
  A400: #41ff5e,
  A700: #27ff49,
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $dark-primary-text,
    400: $dark-primary-text,
    500: $light-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
    A100: $dark-primary-text,
    A200: $dark-primary-text,
    A400: $dark-primary-text,
    A700: $dark-primary-text,
  ),
);

$EC-warning-palette: (
  50: #fef3e2,
  100: #fbe0b8,
  200: #f9cc88,
  300: #f7b758,
  400: #f5a735,
  500: #f39811,
  600: #f1900f,
  700: #ef850c,
  800: #ed7b0a,
  900: #ea6a05,
  A100: #ffffff,
  A200: #ffebdf,
  A400: #ffccac,
  A700: #ffbc92,
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $dark-primary-text,
    400: $dark-primary-text,
    500: $dark-primary-text,
    600: $dark-primary-text,
    700: $dark-primary-text,
    800: $dark-primary-text,
    900: $dark-primary-text,
    A100: $dark-primary-text,
    A200: $dark-primary-text,
    A400: $dark-primary-text,
    A700: $dark-primary-text,
  ),
);

$grey-palette: (
  50: #fafafa,
  100: #f5f5f5,
  200: #eeeeee,
  300: #e0e0e0,
  400: #bdbdbd,
  500: #9e9e9e,
  600: #757575,
  700: #616161,
  800: #424242,
  900: #212121,
  A100: #ffffff,
  A200: #eeeeee,
  A400: #bdbdbd,
  A700: #616161,
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $dark-primary-text,
    400: $dark-primary-text,
    500: $dark-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
    A100: $dark-primary-text,
    A200: $dark-primary-text,
    A400: $dark-primary-text,
    A700: $light-primary-text,
  ),
);

// Background palette.
$simpl-labs-background-palette: (
  status-bar: map.get($grey-palette, 300),
  app-bar: $ec-background,
  background: $background,
  hover: rgba(black, 0.04),
  card: $ec-background,
  dialog: $ec-background,
  disabled-button: rgba(black, 0.12),
  raised-button: $light-primary-text,
  focused-button: $dark-focused,
  selected-button: map.get($grey-palette, 300),
  selected-disabled-button: map.get($grey-palette, 400),
  disabled-button-toggle: map.get($grey-palette, 200),
  unselected-chip: map.get($grey-palette, 300),
  disabled-list-option: map.get($grey-palette, 200),
  tooltip: map.get($grey-palette, 700),
);

// Foreground palette.
$simpl-labs-foreground-palette: (
  base: $dark-primary-text,
  divider: $dark-dividers,
  dividers: $dark-dividers,
  disabled: $dark-disabled-text,
  disabled-button: rgba(black, 0.26),
  disabled-text: $dark-disabled-text,
  elevation: $dark-primary-text,
  hint-text: $dark-disabled-text,
  secondary-text: $dark-secondary-text,
  icon: rgba(black, 0.54),
  icons: rgba(black, 0.54),
  text: $dark-primary-text,
  slider-min: $dark-primary-text,
  slider-off: rgba(black, 0.26),
  slider-off-active: rgba(black, 0.38),
);
